import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  login(data: LoginTypes.LoginForm) {
    return post<LoginTypes.UserDetail>('/auth/login', data)
  },
  logout() {
    return get('/auth/logout')
  },
  my() {
    return get<LoginTypes.UserDetail>('/auth/my')
  },
}
